### Function

# GLib Mutex new

deprecated: 2.32

#### Declaration [src]

    GMutex*
    g_mutex_new (
      void
    )

#### Description [src]

Allocates and initializes a new `GMutex`.

Deprecated since: 2.32

GMutex can now be statically allocated, or embedded in structures and initialised with g_mutex_init().

This function is not directly available to language bindings.

#### Return value

Type: `GMutex`

A newly allocated `GMutex`. Use `g_mutex_free()` to free.

The data is owned by the called function.